﻿
namespace Org.BouncyCastle.Crypto
{
	/// <summary>
	/// Base interface factories that produce KDF output.
	/// </summary>
	public interface IKdfCalculator<out A>
	{
		/// <summary>The algorithm details object for KDF results made by this factory.</summary>
		A AlgorithmDetails { get ; }

        /// <summary>
        /// Provide a result block of the given size in bytes.
        /// </summary>
        /// <param name="outputLength">The number of bytes contained in the result.</param>
        /// <returns>a block result containing the generated bytes.</returns>
		IBlockResult GetResult(int outputLength);
	}
}

